GET
/
api
/
me
Profile
curl --request GET \
  --url https://platform.grorapid.com/api/me \
  --header 'Authorization: Bearer <token>'
{
  "version": "v1",
  "status": true,
  "statusCode": 200,
  "details": "OK",
  "statusMessage": "success",
  "response": {
    "me": {
      "data": {
        "id": "<user-id>",
        "first_name": "Demo",
        "last_name": "User",
        "email": "user@example.com",
        "phone": null,
        "onboarding": {
          "pages": true,
          "emails": true,
          "recipes": true,
          "homepage": true
        },
        "country_code": "IN",
        "email_verified": true,
        "source": "unknown",
        "source_path": "unknown",
        "created_at": "2025-03-19T14:32:54.000000Z",
        "brands": {
          "data": [
            {
              "id": "<brand-id>",
              "name": "Demo Brand",
              "slug": "demo-brand",
              "description": null,
              "brand_url": "https://demo-brand.grorapid.co",
              "logo": {
                "data": []
              },
              "favicon": {
                "data": []
              },
              "onboarded": true,
              "active": true
            }
          ]
        },
        "role": {
          "data": {
            "id": "<role-id>",
            "name": "user",
            "display_name": "User",
            "brand_id": "<brand-id>",
            "description": "User Role",
            "permissions": {
              "data": [
                {
                  "name": "account-profile",
                  "display_name": "My Profile",
                  "description": "",
                  "category": "Account",
                  "active": 1
                },
                {
                  "name": "contact-get-all",
                  "display_name": "Show All Contacts",
                  "description": "",
                  "category": "Contact",
                  "active": 1
                },
                {
                  "name": "container-show-all-campaign",
                  "display_name": "View All Campaigns",
                  "description": "",
                  "category": "Campaign",
                  "active": 1
                }
              ]
            }
          }
        }
      }
    },
    "roles": {
      "data": [
        {
          "id": "<role-id>",
          "name": "user",
          "display_name": "User",
          "brand_id": "<brand-id>",
          "description": "User Role"
        }
      ]
    },
    "currentBrand": {
      "data": {
        "id": "<brand-id>",
        "name": "Demo Brand",
        "slug": "demo-brand",
        "timezone": "Asia/Kolkata",
        "active": true
      }
    },
    "subscription": {
      "data": {
        "id": "<subscription-id>",
        "subscription_type": "ProY"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

current_buuid
string

Response

200 - application/json

Successful response.

The response is of type object.